Skip to main content
POST
/
v1
/
homes
/
bill-upload
/
{id}
/
status
[Beta] Get bill upload processing status
curl --request POST \
  --url https://api.example.com/v1/homes/bill-upload/{id}/status \
  --header 'x-ws-api-key: <api-key>'
{
  "id": "ws_home_123456789",
  "status": "completed",
  "utilityId": "12199",
  "ratePlanId": "6915de25881cbc6041e4c7f1",
  "pendingReason": null,
  "failureReason": null,
  "warnings": [
    "BILL_PDF_DROPPED:https://example.com/bills/february.pdf:FILE_TOO_LARGE"
  ]
}

Authorizations

x-ws-api-key
string
header
required

WattShift API key

Headers

x-ws-api-key
string

WattShift API Key

Path Parameters

id
string
required

Response

200 - application/json
id
string
required

The newly created home ID

status
enum<string>
required
Available options:
processing,
completed,
failed
utilityId
string | null
ratePlanId
string | null
failureReason
string | null
pendingReason
string | null
warnings
string[]